/**
 * @function _bud
 */
'use strict'

const fs = require('fs')
const path = require('path')
const pkg = require('../package.json')
const stringcase = require('stringcase')

/** @lends _bud */
function _bud (name, params) {
  let filename = name.replace(/[:\$\/]/g, '_')
      .split(/[#]/g)
      .map((name) =>
        stringcase.snakecase(name)
      ).join(path.sep) + '.js'
  return {
    force: false,
    mode: '755',
    mkdirp: true,
    path: filename,
    tmpl: fs.readFileSync(`${__dirname}/../asset/tmpl.hbs`).toString(),
    data: {
      name: name,
      params: params,
      file: path.basename(filename),
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      pkg: pkg
    }
  }
}

module.exports = _bud
