/**
 * Test case for setup.
 * Runs with mocha.
 */
'use strict'

const setup = require('../lib/setup.js')
const path = require('path')
const assert = require('assert')
const co = require('co')
const coz = require('coz')

let tmpDir = `${__dirname}/../tmp`

describe('setup', () => {
  it('Setup', () => co(function * () {
    let dirname = tmpDir + '/foo/bar'
    let configuration = require.resolve('../doc/mocks/mock-Apemanfile.js')
    
    let buds = setup({
      configuration,
      cwd: '..'
    })
    for (let bud of buds) {
      bud.path = path.resolve(dirname, bud.path)
      bud.force = true
      yield coz.render(bud)
    }
  }))
})

/* global describe, it */
